
<div *ngIf="unitReqInternal">
    <h5><span jhiTranslate="mpmApp.unitReqInternal.detail.title">Unit Req Internal</span> {{unitReqInternal.idRequirement}}</h5>
    <hr>
    <jhi-alert-error></jhi-alert-error>
    <dl class="row-md jh-entity-details">
        <dt><span jhiTranslate="mpmApp.unitReqInternal.description">Description</span></dt>
        <dd>
            <span>{{unitReqInternal.description}}</span>
        </dd>
        <dt><span jhiTranslate="mpmApp.unitReqInternal.qty">Qty</span></dt>
        <dd>
            <span>{{unitReqInternal.qty}}</span>
        </dd>
        <dt><span jhiTranslate="mpmApp.unitReqInternal.budget">Budget</span></dt>
        <dd>
            <span>{{unitReqInternal.budget}}</span>
        </dd>
        <dt><span jhiTranslate="mpmApp.unitReqInternal.dateCreate">Date Create</span></dt>
        <dd>
            <span>{{unitReqInternal.dateCreate | date:'medium'}}</span>
        </dd>
        <dt><span jhiTranslate="mpmApp.unitReqInternal.dateRequired">Date Required</span></dt>
        <dd>
            <span>{{unitReqInternal.dateRequired | date:'medium'}}</span>
        </dd>
        <dt><span jhiTranslate="mpmApp.unitReqInternal.branch">Branch</span></dt>
        <dd>
            <div *ngIf="unitReqInternal.branchId">
                <a [routerLink]="['/branch', unitReqInternal.branchId]">{{unitReqInternal.branchName}}</a>
            </div>
        </dd>
        <dt><span jhiTranslate="mpmApp.unitReqInternal.motor">Motor</span></dt>
        <dd>
            <div *ngIf="unitReqInternal.motorId">
                <a [routerLink]="['/motor', unitReqInternal.motorId]">{{unitReqInternal.motorName}}</a>
            </div>
        </dd>
    </dl>

    <button type="submit"
            (click)="previousState()"
            class="btn btn-info">
        <span class="fa fa-arrow-left"></span>&nbsp;<span jhiTranslate="entity.action.back"> Back</span>
    </button>

    <button type="button"
            [routerLink]="['/', { outlets: { popup: 'unit-req-internal/'+ unitReqInternal.idRequirement + '/edit'} }]"
            replaceUrl="true"
            class="btn btn-primary">
        <span class="fa fa-pencil"></span>&nbsp;<span jhiTranslate="entity.action.edit"> Edit</span>
    </button>
</div>
